package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type BotToolsImpl struct {
	dataTemp.DataTemp
}

func NewBotToolsImpl(db *utils.Db) *BotToolsImpl {
	return &BotToolsImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiBotTool)),
	}
}
